Download it now!
Bug 75240 - improve coding style in bitmap3.cxx
Summary: improve coding style in bitmap3.cxx
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Milan Zelenka
URL:
Whiteboard: target:4.3.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicCleanup
Depends on:
Blocks:
 
Reported: 2014-02-20 03:31 UTC by Markus Mohrhard
Modified: 2016-02-18 16:37 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Markus Mohrhard 2014-02-20 03:33:48 UTC
Making it an easy hack
Comment 2 Mihai Varga 2014-02-27 18:20:43 UTC
Hello, I am willing to work on this "bug". I was wondering if it is ok to submit the WHOLE file with it's diff, or should I submit chunks of about 100 lines each?
Comment 3 Markus Mohrhard 2014-02-28 00:57:06 UTC
(In reply to comment #2)
> Hello, I am willing to work on this "bug". I was wondering if it is ok to
> submit the WHOLE file with it's diff, or should I submit chunks of about 100
> lines each?

Please submit a git format-patch or use gerrit.libreoffice.org directly.
Comment 4 Milan Zelenka 2014-03-05 22:04:26 UTC
Hi. I would like to start working on this issue as a part of my assignment at school. The subject is called Open-Source programming. However, I am not fully familiar with the open-source development yet therefore it might take a while before I am finished with my work. The deadline should be at most in 10 weeks, however, I believe I will be done with the work sooner. I hope this delay will not be much of an issue and you will allow me to take my time. Thank you :-)
Comment 5 Jan Holesovsky 2014-03-07 16:07:29 UTC
Milan: Great to see you interested in this task!  Blocking it is not completely ideal though; so if somebody fixes it before you get to that, you will have to pick another one :-)

Having said that, blocking in horizon of days is fine of course - so let us know when you are finished with the LibreOffice build and start the work for real.

Until then, it should be still free for others I am afraid - hope it is fine for you!  Should you have further questions, feel free to mail me directly - you can do so in Czech ;-)
Comment 6 Milan Zelenka 2014-03-12 17:20:04 UTC
Thank you for the warm welcome :) If somebody takes it it will be sad and unfortunate, but I will probably be able to deal with it :) 

However if nobody takes it I could start working on it soon since I already have built LO on my computer and I just need to find some free time among my other subjects. I'll keep you posted.
Comment 7 Commit Notification 2014-04-01 01:27:55 UTC
Milan Zelenka committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=95d7ebd22dd20da5a7a26000494b553944fc23ee

Improved coding style as shown in examples fdo#75240



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Stefan Weiberg 2014-09-08 08:18:14 UTC
I assume we can set this EasyHack to Resolved and Fixed?
Comment 9 Robinson Tryon (qubit) 2015-12-16 00:09:14 UTC
Migrating Whiteboard tags to Keywords: (EasyHack DifficultyBeginner SkillCpp TopicCleanup)
[NinjaEdit]
Comment 10 Robinson Tryon (qubit) 2016-02-18 16:37:28 UTC
Remove LibreOffice Dev List from CC on EasyHacks
(curtailing excessive email to list)
[NinjaEdit]